--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create.shlib	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create.shlib	Wed Aug 31 16:20:52 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -64,22 +64,22 @@
 	typeset size=$1
 	typeset file=$2
 	typeset disk=$3
-	typeset dir=`$DIRNAME $file`
+	typeset dir=`dirname $file`
 
 	if [[ -d $dir ]]; then
 		ismounted $dir ufs
 		(( $? == 0 )) && \
-			log_must $UMOUNT -f $dir
+			log_must umount -f $dir
 	else
-		log_must $MKDIR -p $dir
+		log_must mkdir -p $dir
 	fi
 
-	$ECHO "y" | $NEWFS /dev/rdsk/$disk >/dev/null 2>&1
+	echo "y" | newfs /dev/rdsk/$disk >/dev/null 2>&1
 	(( $? != 0 )) &&
 		log_fail "Create ufs file system fail."
 
-        log_must $MOUNT /dev/dsk/$disk $dir
-        log_must $MKFILE $size $file
+        log_must mount /dev/dsk/$disk $dir
+        log_must mkfile $size $file
 }
 
 #
@@ -93,13 +93,13 @@
 	for dir in $dirs; do
 		if [[ -d $dir ]]; then
 			if ismounted $dir ufs; then
-				typeset dev=$($DF -lhF ufs | $GREP "$dir" | \
-					$AWK '{print $1}')
-				log_must $UMOUNT -f $dir
+				typeset dev=$(df -lhF ufs | grep "$dir" | \
+					awk '{print $1}')
+				log_must umount -f $dir
 				create_pool ${TESTPOOL}.tmp $dev
 				destroy_pool ${TESTPOOL}.tmp
 			fi
-			log_must $RM -rf $dir
+			log_must rm -rf $dir
 		fi
 	done
 }
@@ -115,16 +115,16 @@
 	typeset vfstabdevs=""
 	typeset line
 
-	$CAT $vfstab | $GREP "^/dev/dsk" >$tmpfile
+	cat $vfstab | grep "^/dev/dsk" >$tmpfile
 	while read -r line
 	do
-		vfstabdev=`$ECHO "$line" | $AWK '{print $1}'`
+		vfstabdev=`echo "$line" | awk '{print $1}'`
 		vfstabdev=${vfstabdev%%:}
 		vfstabdevs="$vfstabdev $vfstabdevs"
 	done <$tmpfile
 
-	$RM -f $tmpfile
-	$ECHO $vfstabdevs
+	rm -f $tmpfile
+	echo $vfstabdevs
 }
 
 #
@@ -136,7 +136,7 @@
 	typeset dumpdev
 	typeset fnd="Dump device"
 
-	dumpdev=`$DUMPADM | $GREP "$fnd" | $CUT -f2 -d : | \
-		$AWK '{print $1}'`
-	$ECHO $dumpdev
+	dumpdev=`dumpadm | grep "$fnd" | cut -f2 -d : | \
+		awk '{print $1}'`
+	echo $dumpdev
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_002_pos.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_002_pos.ksh	Wed Aug 31 16:20:52 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
 	for file in /var/tmp/$FILEDISK0 /var/tmp/$FILEDISK1 /var/tmp/$FILEDISK2
 	do
 		if [[ -e $file ]]; then
-			$RM -rf $file
+			rm -rf $file
 		fi
 	done
 
@@ -76,36 +76,36 @@
 	disk=$DISK0
 fi
 create_pool "$TESTPOOL" "${disk}s${SLICE0}"
-log_must $ECHO "y" | $NEWFS /dev/rdsk/${disk}s${SLICE1} >/dev/null 2>&1
+log_must echo "y" | newfs /dev/rdsk/${disk}s${SLICE1} >/dev/null 2>&1
 create_blockfile $FILESIZE $TESTDIR0/$FILEDISK0 ${disk}s${SLICE4}
 create_blockfile $FILESIZE1 $TESTDIR1/$FILEDISK1 ${disk}s${SLICE5}
-log_must $MKFILE $SIZE /var/tmp/$FILEDISK0
-log_must $MKFILE $SIZE /var/tmp/$FILEDISK1
-log_must $MKFILE $SIZE /var/tmp/$FILEDISK2
+log_must mkfile $SIZE /var/tmp/$FILEDISK0
+log_must mkfile $SIZE /var/tmp/$FILEDISK1
+log_must mkfile $SIZE /var/tmp/$FILEDISK2
 
 unset NOINUSE_CHECK
-log_must $ZPOOL export $TESTPOOL
+log_must zpool export $TESTPOOL
 log_note "'zpool create' without '-f' will fail " \
 	"while device is belong to an exported pool."
-log_mustnot $ZPOOL create "$TESTPOOL1" "${disk}s${SLICE0}"
+log_mustnot zpool create "$TESTPOOL1" "${disk}s${SLICE0}"
 create_pool "$TESTPOOL1" "${disk}s${SLICE0}"
 log_must poolexists $TESTPOOL1
 
 log_note "'zpool create' without '-f' will fail " \
 	"while device is using by an ufs filesystem."
-log_mustnot $ZPOOL create "$TESTPOOL2" "${disk}s${SLICE1}"
+log_mustnot zpool create "$TESTPOOL2" "${disk}s${SLICE1}"
 create_pool "$TESTPOOL2" "${disk}s${SLICE1}"
 log_must poolexists $TESTPOOL2
 
 log_note "'zpool create' mirror without '-f' will fail " \
 	"while devices have different size."
-log_mustnot $ZPOOL create "$TESTPOOL3" "mirror" $TESTDIR0/$FILEDISK0 $TESTDIR1/$FILEDISK1
+log_mustnot zpool create "$TESTPOOL3" "mirror" $TESTDIR0/$FILEDISK0 $TESTDIR1/$FILEDISK1
 create_pool "$TESTPOOL3" "mirror" $TESTDIR0/$FILEDISK0 $TESTDIR1/$FILEDISK1
 log_must poolexists $TESTPOOL3
 
 log_note "'zpool create' mirror without '-f' will fail " \
 	"while devices are of different types."
-log_mustnot $ZPOOL create "$TESTPOOL4" "mirror" /var/tmp/$FILEDISK0 \
+log_mustnot zpool create "$TESTPOOL4" "mirror" /var/tmp/$FILEDISK0 \
 	${disk}s${SLICE3}
 create_pool "$TESTPOOL4" "mirror" /var/tmp/$FILEDISK0 ${disk}s${SLICE3}
 log_must poolexists $TESTPOOL4
@@ -114,9 +114,9 @@
 	"while device is part of potentially active pool."
 create_pool "$TESTPOOL5"  "mirror" /var/tmp/$FILEDISK1 \
 	/var/tmp/$FILEDISK2
-log_must $ZPOOL offline $TESTPOOL5 /var/tmp/$FILEDISK2
-log_must $ZPOOL export $TESTPOOL5
-log_mustnot $ZPOOL create "$TESTPOOL6" /var/tmp/$FILEDISK2
+log_must zpool offline $TESTPOOL5 /var/tmp/$FILEDISK2
+log_must zpool export $TESTPOOL5
+log_mustnot zpool create "$TESTPOOL6" /var/tmp/$FILEDISK2
 create_pool $TESTPOOL6 /var/tmp/$FILEDISK2
 log_must poolexists $TESTPOOL6
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_003_pos.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_003_pos.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	[[ -e $tmpfile ]] && log_must $RM -f $tmpfile
+	[[ -e $tmpfile ]] && log_must rm -f $tmpfile
 }
 
 tmpfile="/var/tmp/zpool_create_003.tmp$$"
@@ -68,13 +68,13 @@
 create_pool $TESTPOOL ${disk}s${SLICE0} > $tmpfile
 destroy_pool $TESTPOOL
 
-$ZPOOL create -n  $TESTPOOL ${disk}s${SLICE0} > $tmpfile
+zpool create -n  $TESTPOOL ${disk}s${SLICE0} > $tmpfile
 
 poolexists $TESTPOOL && \
         log_fail "'zpool create -n <pool> <vspec> ...' fail."
 
 str="would create '$TESTPOOL' with the following layout:"
-$CAT $tmpfile | $GREP "$str" >/dev/null 2>&1
+cat $tmpfile | grep "$str" >/dev/null 2>&1
 (( $? != 0 )) && \
         log_fail "'zpool create -n <pool> <vspec>...' is executed as unexpected."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_004_pos.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_004_pos.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zpool_create/zpool_create.shlib
@@ -50,7 +50,7 @@
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 	poolexists $TESTPOOL && destroy_pool $TESTPOOL
 
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR
 	partition_disk $SIZE $disk 6
 }
 
@@ -59,10 +59,10 @@
 
 disk=${DISKS%% *}
 create_pool $TESTPOOL $disk
-log_must $ZFS create -o mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must zfs create -o mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-vdevs_list=$($ECHO $TESTDIR/file.{01..16})
-log_must $MKFILE $MINVDEVSIZE $vdevs_list
+vdevs_list=$(echo $TESTDIR/file.{01..16})
+log_must mkfile $MINVDEVSIZE $vdevs_list
 
 create_pool "$TESTPOOL1" $vdevs_list
 log_must vdevs_in_pool "$TESTPOOL1" "$vdevs_list"
@@ -73,8 +73,8 @@
 	log_fail "Creating pool with large numbers of file-vdevs failed."
 fi
 
-log_must $MKFILE 32m $TESTDIR/broken_file
+log_must mkfile 32m $TESTDIR/broken_file
 vdevs_list="$vdevs_list $TESTDIR/broken_file"
-log_mustnot $ZPOOL create -f $TESTPOOL1 $vdevs_list
+log_mustnot zpool create -f $TESTPOOL1 $vdevs_list
 
 log_pass "Storage pools with many file based vdevs can be created."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_005_pos.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_005_pos.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,10 +47,10 @@
 function cleanup
 {
 	poolexists $TESTPOOL && \
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 
 	for dir in $TESTDIR $TESTDIR1; do
-		[[ -d $dir ]] && $RM -rf $dir
+		[[ -d $dir ]] && rm -rf $dir
 	done
 }
 
@@ -70,17 +70,17 @@
 done
 
 #prepare raw file for file disk
-[[ -d $TESTDIR ]] && $RM -rf $TESTDIR
-log_must $MKDIR -p $TESTDIR
+[[ -d $TESTDIR ]] && rm -rf $TESTDIR
+log_must mkdir -p $TESTDIR
 typeset -i i=1
 while (( i < 4 )); do
-	log_must $MKFILE $FILESIZE $TESTDIR/file.$i
+	log_must mkfile $FILESIZE $TESTDIR/file.$i
 
 	(( i = i + 1 ))
 done
 
 #Remove the directory with name as pool name if it exists
-[[ -d /$TESTPOOL ]] && $RM -rf /$TESTPOOL
+[[ -d /$TESTPOOL ]] && rm -rf /$TESTPOOL
 file=$TESTDIR/file
 
 for opt in "-R $TESTDIR1" "-m $TESTDIR1" \
@@ -90,13 +90,13 @@
 	while (( i < ${#pooltype[*]} )); do
 		#Remove the testing pool and its mount directory
 		poolexists $TESTPOOL && \
-			log_must $ZPOOL destroy -f $TESTPOOL
-		[[ -d $TESTDIR1 ]] && $RM -rf $TESTDIR1
-		log_must $ZPOOL create $opt $TESTPOOL ${pooltype[i]} \
+			log_must zpool destroy -f $TESTPOOL
+		[[ -d $TESTDIR1 ]] && rm -rf $TESTDIR1
+		log_must zpool create $opt $TESTPOOL ${pooltype[i]} \
 			$file.1 $file.2 $file.3
 		! poolexists $TESTPOOL && \
 			log_fail "Createing pool with $opt fails."
-		mpt=`$ZFS mount | $EGREP "^$TESTPOOL[^/]" | $AWK '{print $2}'`
+		mpt=`zfs mount | egrep "^$TESTPOOL[^/]" | awk '{print $2}'`
 		(( ${#mpt} == 0 )) && \
 			log_fail "$TESTPOOL created with $opt is not mounted."
 		mpt_val=$(get_prop "mountpoint" $TESTPOOL)
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_006_pos.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_006_pos.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
 
 typeset -i i=0
 while ((i < 10)); do
-	log_must $MKFILE $MINVDEVSIZE $mntpnt/vdev$i
+	log_must mkfile $MINVDEVSIZE $mntpnt/vdev$i
 
 	eval vdev$i=$mntpnt/vdev$i
 	((i += 1))
@@ -107,9 +107,9 @@
 
 i=0
 while ((i < ${#valid_args[@]})); do
-	log_must $ZPOOL create $TESTPOOL1 ${valid_args[$i]}
-	$SYNC; $SYNC
-	log_must $ZPOOL destroy -f $TESTPOOL1
+	log_must zpool create $TESTPOOL1 ${valid_args[$i]}
+	sync; sync
+	log_must zpool destroy -f $TESTPOOL1
 
 	((i += 1))
 done
@@ -116,10 +116,10 @@
 
 i=0
 while ((i < ${#forced_args[@]})); do
-	log_mustnot $ZPOOL create $TESTPOOL1 ${forced_args[$i]}
-	log_must $ZPOOL create -f $TESTPOOL1 ${forced_args[$i]}
-	$SYNC; $SYNC
-	log_must $ZPOOL destroy -f $TESTPOOL1
+	log_mustnot zpool create $TESTPOOL1 ${forced_args[$i]}
+	log_must zpool create -f $TESTPOOL1 ${forced_args[$i]}
+	sync; sync
+	log_must zpool destroy -f $TESTPOOL1
 
 	((i += 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_007_neg.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_007_neg.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -78,7 +78,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL create ${args[i]}
+	log_mustnot zpool create ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_008_pos.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_008_pos.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 {
 	if [[ $exported_pool == true ]]; then
 		if [[ $force_pool == true ]]; then
-			log_must $ZPOOL create -f $TESTPOOL ${disk}s${SLICE0}
+			log_must zpool create -f $TESTPOOL ${disk}s${SLICE0}
 		else
-			log_must $ZPOOL import $TESTPOOL
+			log_must zpool import $TESTPOOL
 		fi
 	fi
 
@@ -79,25 +79,25 @@
         typeset format_file=/var/tmp/format_overlap.$$
         typeset disk=$1
 
-        $ECHO "partition" >$format_file
-        $ECHO "0" >> $format_file
-        $ECHO "" >> $format_file
-        $ECHO "" >> $format_file
-        $ECHO "0" >> $format_file
-        $ECHO "200m" >> $format_file
-        $ECHO "1" >> $format_file
-        $ECHO "" >> $format_file
-        $ECHO "" >> $format_file
-        $ECHO "0" >> $format_file
-        $ECHO "400m" >> $format_file
-        $ECHO "label" >> $format_file
-        $ECHO "" >> $format_file
-        $ECHO "q" >> $format_file
-        $ECHO "q" >> $format_file
+        echo "partition" >$format_file
+        echo "0" >> $format_file
+        echo "" >> $format_file
+        echo "" >> $format_file
+        echo "0" >> $format_file
+        echo "200m" >> $format_file
+        echo "1" >> $format_file
+        echo "" >> $format_file
+        echo "" >> $format_file
+        echo "0" >> $format_file
+        echo "400m" >> $format_file
+        echo "label" >> $format_file
+        echo "" >> $format_file
+        echo "q" >> $format_file
+        echo "q" >> $format_file
 
-        $FORMAT -e -s -d $disk -f $format_file
+        format -e -s -d $disk -f $format_file
 	typeset -i ret=$?
-        $RM -fr $format_file
+        rm -fr $format_file
 
 	if (( ret != 0 )); then
                 log_fail "unable to create overlap slice."
@@ -129,19 +129,19 @@
 log_must create_overlap_slice $disk
 
 unset NOINUSE_CHECK
-log_mustnot $ZPOOL create $TESTPOOL ${disk}s${SLICE0}
-log_must $ZPOOL create -f $TESTPOOL ${disk}s${SLICE0}
+log_mustnot zpool create $TESTPOOL ${disk}s${SLICE0}
+log_must zpool create -f $TESTPOOL ${disk}s${SLICE0}
 destroy_pool $TESTPOOL
 
 # exported device to be as spare vdev need -f to create pool
 
-log_must $ZPOOL create -f $TESTPOOL $disk
+log_must zpool create -f $TESTPOOL $disk
 destroy_pool $TESTPOOL
 log_must partition_disk $SIZE $disk 6
 create_pool $TESTPOOL ${disk}s${SLICE0} ${disk}s${SLICE1}
-log_must $ZPOOL export $TESTPOOL
+log_must zpool export $TESTPOOL
 exported_pool=true
-log_mustnot $ZPOOL create $TESTPOOL1 ${disk}s${SLICE3} spare ${disk}s${SLICE1}
+log_mustnot zpool create $TESTPOOL1 ${disk}s${SLICE3} spare ${disk}s${SLICE1}
 create_pool $TESTPOOL1 ${disk}s${SLICE3} spare ${disk}s${SLICE1}
 force_pool=true
 destroy_pool $TESTPOOL1
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_009_neg.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_009_neg.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -79,16 +79,16 @@
 
 	# Create two pools but using the same disks.
 	create_pool $TESTPOOL $opt $disk
-	log_mustnot $ZPOOL create -f $TESTPOOL1 $opt $disk
+	log_mustnot zpool create -f $TESTPOOL1 $opt $disk
 	destroy_pool $TESTPOOL
 
 	# Create two pools and part of the devices were overlapped
 	create_pool $TESTPOOL $opt $disk
-	log_mustnot $ZPOOL create -f $TESTPOOL1 $opt ${DISKS% *}
+	log_mustnot zpool create -f $TESTPOOL1 $opt ${DISKS% *}
 	destroy_pool $TESTPOOL
 
 	# Create one pool but using the same disks twice.
-	log_mustnot $ZPOOL create -f $TESTPOOL $opt $disk $disk
+	log_mustnot zpool create -f $TESTPOOL $opt $disk $disk
 done
 
 log_pass "Using overlapping or in-use disks to create a new pool fails as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_010_neg.ksh	Wed Aug 31 16:20:53 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_010_neg.ksh	Wed Aug 31 16:20:53 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,7 +53,7 @@
 
         poolexists $TESTPOOL && destroy_pool $TESTPOOL
 
-	[[ -d $TESTDIR ]] && $RM -rf $TESTDIR
+	[[ -d $TESTDIR ]] && rm -rf $TESTDIR
 
 	partition_disk $SIZE $disk 6
 }
@@ -66,13 +66,13 @@
 fi
 
 create_pool $TESTPOOL $disk
-log_must $ZFS create $TESTPOOL/$TESTFS
-log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTFS
+log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
 typeset -l devsize=$(($SPA_MINDEVSIZE - 1024 * 1024))
 for files in $TESTDIR/file1 $TESTDIR/file2
 do
-	log_must $MKFILE $devsize $files
+	log_must mkfile $devsize $files
 done
 
 set -A args \
@@ -82,7 +82,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL create ${args[i]}
+	log_mustnot zpool create ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_011_neg.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_011_neg.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,7 +55,7 @@
         done
 
 	if [[ -n $saved_dump_dev ]]; then
-		log_must $DUMPADM -u -d $saved_dump_dev
+		log_must dumpadm -u -d $saved_dump_dev
 	fi
 
         partition_disk $SIZE $disk 6
@@ -108,23 +108,23 @@
 unset NOINUSE_CHECK
 typeset -i i=0
 while (( i < ${#arg[*]} )); do
-        log_mustnot $ZPOOL create ${arg[i]}
+        log_mustnot zpool create ${arg[i]}
         (( i = i+1 ))
 done
 
 # now destroy the pool to be polite
-log_must $ZPOOL destroy -f $TESTPOOL
+log_must zpool destroy -f $TESTPOOL
 
 # create/destroy a pool as a simple way to set the partitioning
 # back to something normal so we can use this $disk as a dump device
-log_must $ZPOOL create -f $TESTPOOL3 $disk
-log_must $ZPOOL destroy -f $TESTPOOL3
+log_must zpool create -f $TESTPOOL3 $disk
+log_must zpool destroy -f $TESTPOOL3
 
-log_must $DUMPADM -d /dev/dsk/$specified_dump_dev
-log_mustnot $ZPOOL create -f $TESTPOOL1 "$specified_dump_dev"
+log_must dumpadm -d /dev/dsk/$specified_dump_dev
+log_mustnot zpool create -f $TESTPOOL1 "$specified_dump_dev"
 
 # Also check to see that in-use checking prevents us from creating
 # a zpool from just the first slice on the disk.
-log_mustnot $ZPOOL create -f $TESTPOOL1 ${specified_dump_dev}s0
+log_mustnot zpool create -f $TESTPOOL1 ${specified_dump_dev}s0
 
 log_pass "'zpool create' is failed as expected with inapplicable scenarios."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_012_neg.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_012_neg.ksh	Wed Aug 31 16:20:54 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -48,8 +52,8 @@
 	fi
 
 }
-typeset swap_disks=`$SWAP -l | $GREP "c[0-9].*d[0-9].*s[0-9]" | \
-            $AWK '{print $1}'`
+typeset swap_disks=`swap -l | grep "c[0-9].*d[0-9].*s[0-9]" | \
+            awk '{print $1}'`
 
 log_assert "'zpool create' should fail with disk slice in swap."
 log_onexit cleanup
@@ -56,7 +60,7 @@
 
 for sdisk in $swap_disks; do
 	for opt in "-n" "" "-f"; do
-		log_mustnot $ZPOOL create $opt $TESTPOOL $sdisk
+		log_mustnot zpool create $opt $TESTPOOL $sdisk
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_014_neg.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_014_neg.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,13 +48,13 @@
 function cleanup
 {
 	if datasetexists $vol_name; then
-		$SWAP -l | $GREP $TMP_FILE > /dev/null 2>&1
+		swap -l | grep $TMP_FILE > /dev/null 2>&1
 		if [[ $? -eq 0 ]]; then
-			log_must $SWAP -d $TMP_FILE
+			log_must swap -d $TMP_FILE
 		fi
-		$RM -f $TMP_FILE
-		log_must $UMOUNT $mntp
-		$ZFS destroy $vol_name
+		rm -f $TMP_FILE
+		log_must umount $mntp
+		zfs destroy $vol_name
 	fi
 
 	if poolexists $TESTPOOL; then
@@ -77,15 +77,15 @@
 typeset TMP_FILE=$mntp/tmpfile.$$
 
 create_pool $TESTPOOL $pool_dev
-log_must $ZFS create -V 100m $vol_name
-log_must $ECHO "y" | $NEWFS /dev/zvol/dsk/$vol_name > /dev/null 2>&1
-log_must $MOUNT /dev/zvol/dsk/$vol_name $mntp
+log_must zfs create -V 100m $vol_name
+log_must echo "y" | newfs /dev/zvol/dsk/$vol_name > /dev/null 2>&1
+log_must mount /dev/zvol/dsk/$vol_name $mntp
 
-log_must $MKFILE 50m $TMP_FILE
-log_must $SWAP -a $TMP_FILE
+log_must mkfile 50m $TMP_FILE
+log_must swap -a $TMP_FILE
 
 for opt in "-n" "" "-f"; do
-	log_mustnot $ZPOOL create $opt $TESTPOOL $TMP_FILE
+	log_mustnot zpool create $opt $TESTPOOL $TMP_FILE
 done
 
 log_pass "'zpool create' passed as expected with inapplicable scenario."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_015_neg.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_015_neg.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,9 +52,9 @@
 {
 	# cleanup zfs pool and dataset
 	if datasetexists $vol_name; then
-		$SWAP -l | $GREP /dev/zvol/dsk/$vol_name > /dev/null 2>&1
+		swap -l | grep /dev/zvol/dsk/$vol_name > /dev/null 2>&1
 		if [[ $? -eq 0 ]]; then
-			$SWAP -d /dev/zvol/dsk/${vol_name}
+			swap -d /dev/zvol/dsk/${vol_name}
 		fi
 	fi
 
@@ -82,15 +82,15 @@
 # use zfs vol device in swap to create pool which should fail.
 #
 create_pool $TESTPOOL $pool_dev
-log_must $ZFS create -V 100m $vol_name
-log_must $SWAP -a /dev/zvol/dsk/$vol_name
+log_must zfs create -V 100m $vol_name
+log_must swap -a /dev/zvol/dsk/$vol_name
 for opt in "-n" "" "-f"; do
-	log_mustnot $ZPOOL create $opt $TESTPOOL1 /dev/zvol/dsk/${vol_name}
+	log_mustnot zpool create $opt $TESTPOOL1 /dev/zvol/dsk/${vol_name}
 done
 
 # cleanup
-log_must $SWAP -d /dev/zvol/dsk/${vol_name}
-log_must $ZFS destroy $vol_name
-log_must $ZPOOL destroy $TESTPOOL
+log_must swap -d /dev/zvol/dsk/${vol_name}
+log_must zfs destroy $vol_name
+log_must zpool destroy $TESTPOOL
 
 log_pass "'zpool create' passed as expected with inapplicable scenario."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_016_pos.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_016_pos.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,18 +54,18 @@
 
 	#recover swap devices
 	FSTAB=/tmp/fstab_$$
-	$RM -f $FSTAB
+	rm -f $FSTAB
 	for sdisk in $swap_disks; do
-		$ECHO "$sdisk	-	-	swap	-	no	-" >> $FSTAB
+		echo "$sdisk	-	-	swap	-	no	-" >> $FSTAB
 	done
 	if [ -e $FSTAB ]
 	then
-		log_must $SWAPADD $FSTAB
+		log_must swapadd $FSTAB
 	fi
-	$RM -f $FSTAB
+	rm -f $FSTAB
 	if [ $dump_device != "none" ]
 	then
-		log_must $DUMPADM -u -d $dump_device
+		log_must dumpadm -u -d $dump_device
 	fi
 }
 
@@ -75,8 +75,8 @@
 	disk=$DISK0
 fi
 typeset pool_dev=${disk}s${SLICE0}
-typeset swap_disks=$($SWAP -l | $GREP -v "swapfile" | $AWK '{print $1}')
-typeset dump_device=$($DUMPADM | $GREP "Dump device" | $AWK '{print $3}')
+typeset swap_disks=$(swap -l | grep -v "swapfile" | awk '{print $1}')
+typeset dump_device=$(dumpadm | grep "Dump device" | awk '{print $3}')
 
 log_assert "'zpool create' should success with no device in swap."
 log_onexit cleanup
@@ -83,7 +83,7 @@
 
 for sdisk in $swap_disks; do
 	log_note "Executing: swap -d $sdisk"
-	$SWAP -d $sdisk >/dev/null 2>&1;
+	swap -d $sdisk >/dev/null 2>&1;
 	if [[ $? != 0 ]]; then
 		log_untested "Unable to delete swap device $sdisk because of" \
 				"insufficient RAM"
@@ -90,7 +90,7 @@
 	fi
 done
 
-log_must $ZPOOL create $TESTPOOL $pool_dev
-log_must $ZPOOL destroy $TESTPOOL
+log_must zpool create $TESTPOOL $pool_dev
+log_must zpool destroy $TESTPOOL
 
 log_pass "'zpool create' passed as expected with applicable scenario."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_017_neg.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_017_neg.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 	fi
 
 	if [[ -d $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR
+		log_must rm -rf $TESTDIR
 	fi
 }
 
@@ -68,20 +68,20 @@
 log_onexit cleanup
 
 if [[ ! -d $TESTDIR ]]; then
-	log_must $MKDIR -p $TESTDIR
+	log_must mkdir -p $TESTDIR
 fi
 
 typeset -i i=0
 
 while (( i < 2 )); do
-	log_must $RM -rf $TESTDIR/*
+	log_must rm -rf $TESTDIR/*
 	if (( i == 0 )); then
-		log_must $MKDIR $TESTDIR/testdir
+		log_must mkdir $TESTDIR/testdir
 	else
-		log_must $TOUCH $TESTDIR/testfile
+		log_must touch $TESTDIR/testfile
 	fi
 
-	log_mustnot $ZPOOL create -m $TESTDIR -f $TESTPOOL $pool_dev
+	log_mustnot zpool create -m $TESTDIR -f $TESTPOOL $pool_dev
 	log_mustnot poolexists $TESTPOOL
 
 	(( i = i + 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_018_pos.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_018_pos.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 function cleanup
 {
 	poolexists $TESTPOOL && destroy_pool $TESTPOOL
-	[[ -f $CPATH ]] && log_must $RM $CPATH
+	[[ -f $CPATH ]] && log_must rm $CPATH
 }
 
 log_onexit cleanup
@@ -70,15 +70,15 @@
 typeset -i i=0;
 while [ $i -lt "${#props[@]}" ]
 do
-	log_must $ZPOOL create -o ${props[$i]}=${vals[$i]} $TESTPOOL $disk
+	log_must zpool create -o ${props[$i]}=${vals[$i]} $TESTPOOL $disk
 	RESULT=$(get_pool_prop ${props[$i]} $TESTPOOL)
 	if [[ $RESULT != ${vals[$i]} ]]
 	then
-		$ZPOOL get all $TESTPOOL
+		zpool get all $TESTPOOL
 		log_fail "Pool was created without setting the ${props[$i]} " \
 		    "property"
 	fi
-	log_must $ZPOOL destroy $TESTPOOL
+	log_must zpool destroy $TESTPOOL
 	((i = i + 1))
 done
 
@@ -86,11 +86,11 @@
 poolexists $TESTPOOL && destroy_pool $TESTPOOL
 
 # pick two properties, and verify we can create with those as well
-log_must $ZPOOL create -o delegation=off -o cachefile=$CPATH $TESTPOOL $disk
+log_must zpool create -o delegation=off -o cachefile=$CPATH $TESTPOOL $disk
 RESULT=$(get_pool_prop delegation $TESTPOOL)
 if [[ $RESULT != off ]]
 then
-	$ZPOOL get all $TESTPOOL
+	zpool get all $TESTPOOL
 	log_fail "Pool created without the delegation prop."
 fi
 
@@ -97,7 +97,7 @@
 RESULT=$(get_pool_prop cachefile $TESTPOOL)
 if [[ $RESULT != $CPATH ]]
 then
-	$ZPOOL get all $TESTPOOL
+	zpool get all $TESTPOOL
 	log_fail "Pool created without the cachefile prop."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_019_pos.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_019_pos.ksh	Wed Aug 31 16:20:54 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -61,7 +65,7 @@
 while [ $i -lt "${#props[@]}" ]
 do
         # try to set each property in the prop list with it's corresponding val
-        log_mustnot $ZPOOL create -o ${props[$i]}=${vals[$i]} $TESTPOOL $disk
+        log_mustnot zpool create -o ${props[$i]}=${vals[$i]} $TESTPOOL $disk
 	if poolexists $TESTPOOL
 	then
 		log_fail "$TESTPOOL was created when setting ${props[$i]}!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_020_pos.ksh	Wed Aug 31 16:20:54 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_020_pos.ksh	Wed Aug 31 16:20:54 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,7 +51,7 @@
         fi
 	if [ -d ${TESTPOOL}.root ]
 	then
-		log_must $RMDIR ${TESTPOOL}.root
+		log_must rmdir ${TESTPOOL}.root
 	fi
 }
 
@@ -65,24 +65,24 @@
 	disk=$DISK0
 fi
 
-log_must $MKDIR /${TESTPOOL}.root
-log_must $ZPOOL create -R /${TESTPOOL}.root $TESTPOOL $disk
+log_must mkdir /${TESTPOOL}.root
+log_must zpool create -R /${TESTPOOL}.root $TESTPOOL $disk
 if [ ! -d /${TESTPOOL}.root ]
 then
 	log_fail "Mountpoint was not create when using zpool with -R flag!"
 fi
 
-FS=$($ZFS list $TESTPOOL)
+FS=$(zfs list $TESTPOOL)
 if [ -z "$FS" ]
 then
 	log_fail "Mounted filesystem at /${TESTPOOL}.root isn't ZFS!"
 fi
 
-log_must $ZPOOL get all $TESTPOOL
-$ZPOOL get all $TESTPOOL > /tmp/values.$$
+log_must zpool get all $TESTPOOL
+zpool get all $TESTPOOL > /tmp/values.$$
 
 # check for the cachefile property, verifying that it's set to 'none'
-$GREP "$TESTPOOL[ ]*cachefile[ ]*none" /tmp/values.$$ > /dev/null 2>&1
+grep "$TESTPOOL[ ]*cachefile[ ]*none" /tmp/values.$$ > /dev/null 2>&1
 if [ $? -ne 0 ]
 then
 	log_fail "zpool property \'cachefile\' was not set to \'none\'."
@@ -89,20 +89,20 @@
 fi
 
 # check that the root = /mountpoint property is set correctly
-$GREP "$TESTPOOL[ ]*altroot[ ]*/${TESTPOOL}.root" /tmp/values.$$ > /dev/null 2>&1
+grep "$TESTPOOL[ ]*altroot[ ]*/${TESTPOOL}.root" /tmp/values.$$ > /dev/null 2>&1
 if [ $? -ne 0 ]
 then
 	log_fail "zpool property root was not found in pool output."
 fi
 
-$RM /tmp/values.$$
+rm /tmp/values.$$
 
 # finally, check that the pool has no reference in /etc/zfs/zpool.cache
 if [[ -f /etc/zfs/zpool.cache ]] ; then
-	REF=$($STRINGS /etc/zfs/zpool.cache | $GREP ${TESTPOOL})
+	REF=$(strings /etc/zfs/zpool.cache | grep ${TESTPOOL})
 	if [ ! -z "$REF" ]
 	then
-		$STRINGS /etc/zfs/zpool.cache
+		strings /etc/zfs/zpool.cache
 		log_fail "/etc/zfs/zpool.cache appears to have a reference to $TESTPOOL"
 	fi
 fi
